Skip to content
Browse files

Merge pull request #33 from newleaders/rails4

Better compatibility with Rails 4
  • Loading branch information...
2 parents 1069fba + 4988619 commit 46406142dc7db948870869ac0595dc0cdf96e3e2 @elskwid elskwid committed
View
2 .ruby-version
@@ -1 +1 @@
-1.9.3
+2.0.0
View
1 README.md
@@ -21,6 +21,7 @@ Opinionated testing framework dependencies and configuration for Ruby applicatio
This gem has been tested against the following Ruby versions:
* 1.9.3
+* 2.0.0
## Installation
View
1 lib/thincloud/test/templates/Rakefile
@@ -1 +0,0 @@
-Dir["./lib/tasks/**/*.rake"].sort.each { |t| load t }
View
3 lib/thincloud/test/test_generator.rb
@@ -33,7 +33,8 @@ def gitignore
end
def rake
- copy_file "Rakefile"
+ create_file "Rakefile" unless File.exist?("Rakefile")
+ append_file "Rakefile", "\nDir[\"./lib/tasks/**/*.rake\"].sort.each { |t| load t }\n"
copy_file "cane.rake", "lib/tasks/cane.rake"
copy_file "test.rake", "lib/tasks/test.rake"
end
View
2 lib/thincloud/test/version.rb
@@ -1,5 +1,5 @@
module Thincloud
module Test
- VERSION = "1.0.0"
+ VERSION = "2.0.0.alpha2"
end
end
View
14 thincloud-test.gemspec
@@ -18,14 +18,14 @@ Gem::Specification.new do |s|
s.require_paths = ["lib"]
s.version = Thincloud::Test::VERSION
- s.add_dependency "cane", "~> 2.6.0"
- s.add_dependency "guard", "~> 1.8.0"
- s.add_dependency "minitest", "~> 5.0.4"
+ s.add_dependency "cane", "~> 2.6"
+ s.add_dependency "guard", "~> 1.8"
+ s.add_dependency "minitest", ">= 4.2"
s.add_dependency "guard-minitest", "~> 1.0.0.rc.2"
- s.add_dependency "simplecov", "~> 0.8.0.pre"
- s.add_dependency "terminal-notifier-guard", "~> 1.5.3"
- s.add_dependency "thor", "~> 0.18.1"
- s.add_dependency "mocha", "~> 0.14.0" # Must be after minitest
+ s.add_dependency "simplecov", "~> 0.8"
+ s.add_dependency "terminal-notifier-guard", "~> 1.5"
+ s.add_dependency "thor", "~> 0.18"
+ s.add_dependency "mocha", "~> 0.14" # Must be after minitest
s.add_development_dependency "rake"
end

0 comments on commit 4640614

Please sign in to comment.
Something went wrong with that request. Please try again.